<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    tools:context="com.freightsoftware.activity.Details">

    <LinearLayout
        android:id="@+id/ll_header"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <include layout="@layout/ll_header" />


    </LinearLayout>


    <ScrollView
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@+id/ll_header">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:padding="@dimen/margin_20dp">

            <com.freightsoftware.View.RegularFontTextView
                android:layout_marginTop="@dimen/margin_5dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/margin_1dp"
                android:text="@string/text_update_shipment_status"
                android:textAllCaps="false"
                android:textColor="@color/color_dark_gray"
                android:textSize="@dimen/font_16sp" />



            <com.freightsoftware.View.RegularFontTextView
                android:layout_marginTop="@dimen/margin_20dp"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingBottom="@dimen/margin_1dp"
                android:paddingTop="@dimen/margin_15dp"
                android:text="@string/text_status"
                android:textAllCaps="true"
                android:textColor="@color/text_color"
                android:textSize="@dimen/font_16sp" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/margin_5dp"
                android:background="@drawable/bg_edittext"
                android:orientation="horizontal">

                <ProgressBar
                    android:id="@+id/progressBar_status"
                    style="?android:attr/progressBarStyleSmall"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center"
                    android:visibility="gone" />



                <ImageButton
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center_vertical"
                    android:background="@null"
                    android:clickable="false"
                    android:padding="@dimen/margin_10dp"
                    android:rotation="0"
                    android:src="@drawable/ic_drop_down" />

                <Spinner
                    android:id="@+id/sp_status"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_centerVertical="true"
                    android:layout_gravity="center_vertical"
                    android:background="@null"
                    android:gravity="center_vertical"
                    android:paddingLeft="@dimen/margin_10dp"
                    android:textColor="@color/color_dark_gray"
                    android:textSize="@dimen/font_18sp"
                    android:textStyle="normal" />


            </RelativeLayout>






        </LinearLayout>
    </ScrollView>

    <com.freightsoftware.View.RegularFontButton
        android:id="@+id/btn_update"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:background="@drawable/bg_login"
        android:text="@string/text_update_status"
        android:layout_margin="@dimen/margin_20dp"
        android:textAllCaps="true"
        android:textColor="@color/color_white"
        android:textScaleX="1.1"
        android:textSize="@dimen/font_20sp"/>

    <include layout="@layout/layout_circular_progressbar"/>


</RelativeLayout>
